﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="StaffSalaryModal" tabindex="-1" role="dialog" aria-labelledby="StaffSalaryModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.Salary</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <input id="salaryid" name="salaryid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="staffidd">@Resources.Content.Staff</label>
                            <select class="form-control input-sm" id="staffidd">
                                <option value=0>---Please select staff----</option>
                                @foreach (var item in Model.StaffList)
                                {
                                    <option value=@item.id>@item.namekh</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="salaryy">@Resources.Content.Salary</label>
                            <input id="salaryy" name="salaryy" placeholder="Enter Position" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="notee">@Resources.Content.Note</label>
                    <input id="notee" name="notee" placeholder="Enter Position" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <button type="button" id="btnAddManageSalary" onclick="AddManageSalary();" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                        <button type="button" id="btnSaveManageSalary" onclick="SaveManageSalary();" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                        <button type="button" id="btnUpdateSalary" onclick="UpdateSalaryd();" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                    </div>
                </div>
                <hr />
                <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="tableSalary">
                    <thead>
                        <tr>
                            <th>@Resources.Content.No</th>
                            <th>@Resources.Content.Name</th>
                            <th>@Resources.Content.NameKh</th>
                            <th>@Resources.Content.Salary</th>
                            <th style="width:10%">@Resources.Content.Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>

        </div>
    </div>
</div>

<script>
    function AddManageSalary() {
        $('#btnAddManageSalary').hide();
        $('#btnSaveManageSalary').show();
        $('#btnUpdateSalary').hide();

        $('#staffidd').focus();
        document.getElementById('staffidd').disabled = false;
        document.getElementById('salaryy').disabled = false;
        document.getElementById('notee').disabled = false;

    }

    function SaveManageSalary() {
        if ($('#staffidd').val() == "") {
            $('#staffidd').focus();
            return false;
        }
        var data = {
            staffid: $('#staffidd').val(),
            salary: $('#salaryy').val(),
            note: $('#notee').val(),
        };
        $.ajax({
            url: "/api/salaries",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert record successfully!", "Server Respond");
                $('#tableSalary').DataTable().ajax.reload();

                $('#staffidd').val(0);
                $("#salaryy").val(0);
                $("#notee").val('');

                document.getElementById('staffidd').disabled = true;
                document.getElementById('salaryy').disabled = true;
                document.getElementById('notee').disabled = true;
            },
            error: function (errormesage) {
                $('#itemcharge').focus();
                toastr.error("Inser record faild!", "Server Respond")
            }
        });
    }

    function UpdateSalaryd() {
        if ($('#staffidd').val() == "") {
            $('#staffidd').focus();
            return false;
        }

        var data = new FormData();
        data.append("staffid", $("#staffidd").val());
        data.append("salary", $("#salaryy").val());
        data.append("note", $("#notee").val());
        $.ajax({
            type: "PUT",
            url: "/api/salaries/" + $('#salaryid').val(),
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Insert record successfully.", "Server Response");
                $('#tableSalary').DataTable().ajax.reload();

                $('#staffidd').val(0);
                $("#salaryy").val(0);
                $("#notee").val('');

                document.getElementById('staffidd').disabled = true;
                document.getElementById('salaryy').disabled = true;
                document.getElementById('notee').disabled = true;
            },
            error: function (error) {
                console.log(error);
                toastr.error("Record Already Exists!.", "Server Response");
            }
        });
    }
</script>